# SwitchTab

Pure javascript tab library (switching tabs by using Ajax), and you can customize your tabs in a fastest way.

-----

## DEMO

demo page : [http://www.lijung.com/switchTab/example/example.html](http://www.lijung.com/switchTab/example/example.html)

-----

### Usage

##### Include javascript:

``` html
    <script type="text/javascript" src="<your_path>/switchTab.js"></script>
```

##### Settings:

``` javascript

    var newSwitchTab = new switchTab({
        tabClass: 'tab_group',
        contentId: 'content_container',
        activeClass: 'tab_active',
        tabId: ['tab1', 'tab2', 'tab3', 'tab4'],
        showFirst: 'tab1'
    });

```

##### Setting URL:

`Tab-url` is needed for linking to the page you want, this library is using Ajax :D

``` html
    <div class="tab_group" id="tab1" tab-url="./tab_content1.html">
        tab1
    </div>
```

----

### Features & setting details:


- tabClass (string): You use to select your tab group with the same class you create.
- contentId (string): The place you want to put your content.
- afterClass (string): After users select the tab the tab will change to the class, that you set in here.
- TabId (array): The tabs you want to create have to have there own id, and you can set it here. If some of the tab you want to disable just don \'t fill in the array.
- showFirst (string): Which tab you want to show first.

-----

## Developers

This library needs to use ajax, but browsers don't support.

so I've wrote a small static server in root file called `app.js`.

to run and develop this librar use the code below to install the package, by the way you have to install nodejs.

``` sh
    npm install
```

after that

``` sh
    node app.js
```

and open `http://localhost:8080/example/example.html` and it should work!

